<?php
                                    
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Ads module : 
* admin.php: last changed 18/05/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['ads_id']))
{
	$ads_id = sanitize($_GET['ads_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_GET['entry_id']))
{
	$entry_id = sanitize($_GET['entry_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['ads_name']))
{
	$ads_name = sanitize($_POST['ads_name'], 50 , 'S'); //sanitize, 50 chars max
}

if (IsSet ($_POST['ads_email']))
{
	$ads_email = sanitize($_POST['ads_email'], 80 , 'A'); //sanitize, 80 chars max
}
if (IsSet ($_POST['ads_max_days']))
{
	$ads_max_days = sanitize($_POST['ads_max_days'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['ads_icon']))
{
	$ads_icon = sanitize($_POST['ads_icon'], 60 , 'S'); //sanitize, 60 chars max
}

if (IsSet ($_POST['ads_welcome_text']))
{
	$ads_welcome_text = sanitize($_POST['ads_welcome_text'], 2000 , 'H'); //sanitize the input, leave html tags in tact
}

if (IsSet ($_POST['ads_disclaimer_text']))
{
	$ads_disclaimer_text = sanitize($_POST['ads_disclaimer_text'], 2000 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet($_POST['ads_publish']))        
{
	$ads_publish = sanitize($_POST['ads_publish'], 1, 'I'); //sanitize, integer 1 pos.
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1 , 'I');
}

if (IsSet ($_POST['show_picture']))
{
	$show_picture = sanitize($_POST['show_picture'], 1 , 'I');
}

$modoption = "ads_list";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}

load_language('', 'sn_ads'); //load language file

include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\"
		}
	);
	});
	</script>";

include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($modoption == "ads_list") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_adtext = $dbprefix . "m_adtext";
$table_ads_cat = $dbprefix . "m_adtext_cat";

$date_format = $sas_config['dateformat'];

print "<span class=\"sas_module_title\">$modulename</span>
		<br />".$sas_lang['ads_module_intro']. "<p>";

switch ($modoption) // start of switch
{

	case publish_post :

		mysqli_query($db,"UPDATE $table_adtext SET initial = '1' WHERE ad_id = '$entry_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_entries&ads_id=$ads_id'</script>";
	
	break;
	
	case delete_entry :
	
		mysqli_query($db,"DELETE FROM $table_adtext WHERE ad_id = '".$entry_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_entries&ads_id=$ads_id'</script>";

	break;
	
		
	case save_ads_page :
	
		if ($ads_id == 0)	//when ads_id is 0 we have a new ads page
		{
			$query = "SELECT id FROM $table_ads_cat WHERE name = '".$ads_name."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['ads_module_name_exists']."\");
					   //-->
					   </script>";
			}
			mysqli_query($db,"INSERT INTO $table_ads_cat (id, name, email, welcome, disclaimer, max_days, check_before_post, public, icon, show_picture)
				VALUES (NULL, '$ads_name', '$ads_email', '$ads_welcome_text', '$ads_disclaimer_text', '$ads_max_days' , '$ads_publish', '$public', '$ads_icon', '$show_picture')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_ads_cat 
								SET name = '$ads_name' ,
								email = '$ads_email' ,
								welcome = '$ads_welcome_text' ,
								disclaimer = '$ads_disclaimer_text' ,
								max_days = '$ads_max_days',
								check_before_post = '$ads_publish',
								public = '$public',
								show_picture = '$show_picture',
								icon = '$ads_icon'
								WHERE id = '".$ads_id."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=ads_list'</script>";
		
	break;
	
	case add_ads_page :
		
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['ads_module_add_page'] . "</center><p></span>";
		print "\n<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_ads_page&ads_id=0\">";
		print "<div id=\"ErrorBox\"></div>\n";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td width=\"50%\"class=\"sas_row_color_even\">" . $sas_lang['ads_module_name'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"50\"  class=\"required\" name=\"ads_name\"></td></tr>";
		print "<tr><td  colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['ads_module_header1'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('ads_welcome_text', "", 'editor1');
		
		print "</td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">".$sas_lang['ads_module_header2']."&nbsp;</td></tr>
		       <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
			   
		// call basic fck editor for disclaimer text
		small_editor('ads_disclaimer_text', "", 'editor2');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['ads_module_email_alert'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"50\" class=\"textfield\" name=\"ads_email\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['ads_module_expiration_days'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"4\" class=\"textfield\" name=\"ads_max_days\" value=\"0\"></td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['ads_module_icon'] . ":</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"50\" class=\"textfield\" name=\"ads_icon\" value=\"starnet/modules/sn_ads/pin.gif\"></td></tr>";	
		
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['ads_module_publish_directly'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'] ;
  
		print "<input type=\"radio\" value=\"0\" name=\"ads_publish\" checked>";
		print "&nbsp;&nbsp;&nbsp;".$sas_lang['no'] ;
		print "<input type=\"radio\" name=\"ads_publish\" value=\"1\">";
		print "</td></tr>" ;
  
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['ads_module_show_photo'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'] ;
  
		print "<input type=\"radio\" value=\"1\" name=\"show_picture\">";
		print "&nbsp;&nbsp;&nbsp;".$sas_lang['no'];
		print "<input type=\"radio\" name=\"show_picture\" value=\"0\" checked>";
		print "</td></tr>" ;
  
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['ads_module_is_public'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'] ;
  
		print "<input type=\"radio\" name=\"public\" value=\"1\">";
		print "&nbsp;&nbsp;&nbsp;".$sas_lang['no'] ;
		print "<input type=\"radio\" value=\"0\" name=\"public\" checked>";

		print "</td></tr>" ;
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
	
	case delete_ads_page :
		
		mysqli_query($db,"DELETE FROM $table_ads_cat WHERE id = '".$ads_id."'");
		mysqli_query($db,"DELETE FROM $table_adtext WHERE ads_id = '".$ads_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=ads_list'</script>";
	
	break;
	
	case edit_ads_page :
		
		$query = "SELECT name, welcome, disclaimer, email, max_days, check_before_post, public, icon, show_picture FROM $table_ads_cat WHERE id = '".$ads_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$ads_name = mysqli_result($result, 0, 0);
		$ads_welcome_text = mysqli_result($result, 0, 1);
		$ads_disclaimer_text = mysqli_result($result, 0, 2);
		$email_owner = mysqli_result($result, 0, 3);
		$max_days = mysqli_result($result, 0, 4);
		$check_before_post = mysqli_result($result, 0, 5);
		$public = mysqli_result($result, 0, 6);
		$ads_icon = mysqli_result($result, 0, 7);
		$show_picture = mysqli_result($result, 0, 8);

		print "<span class=\"sas_module_subtitle\">" . $sas_lang['ads_module_edit'] . "</span><p>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_ads_page&ads_id=$ads_id\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";

		print "<tr><td width=\"50%\" class=\"sas_row_color_even\">" . $sas_lang['ads_module_name'] . "&nbsp;</span></td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=50 class=\"textfield\" name=\"ads_name\" value=\"$ads_name\"></td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['ads_module_header1'] . ": &nbsp;</span></td></tr>
				<tr><td colspan=\"2\"  bgcolor=\"#F7F7F7\" >";
			   
		// call basic ckeditor for welcome text
		small_editor('ads_welcome_text', $ads_welcome_text, 'editor1');
		
		print "</td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">&nbsp;</td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">".$sas_lang['ads_module_header2']."&nbsp;</span></td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\" >";
			   
		// call basic fck editor for disclaimer text
		small_editor('ads_disclaimer_text', $ads_disclaimer_text, 'editor2');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['ads_module_email_alert'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=50 class=\"textfield\" name=\"ads_email\" value=\"$email_owner\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['ads_module_expiration_days'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=4 class=\"textfield\" name=\"ads_max_days\" value=\"$max_days\"></td></tr>";
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['ads_module_icon'] . ":</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"50\" class=\"textfield\" name=\"ads_icon\" value=\"$ads_icon\"></td></tr>";	
		
		print "<tr><td class=\"sas_row_color_even\" >".$sas_lang['ads_module_publish_directly'].":</td>";

		print "<td class=\"sas_row_color_even\" >".$sas_lang['yes']."&nbsp;";
		
			if ($check_before_post == "0")
			{
				print "<input type=\"radio\" value=\"0\" name=\"ads_publish\" checked>&nbsp;";
				print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'] ;
				print "<input type=\"radio\" name=\"ads_publish\" value=\"1\">";
			}
			else
			{
				print "<input type=\"radio\" value=\"0\" name=\"ads_publish\">&nbsp;";
				print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'] ;
				print "<input type=\"radio\" name=\"ads_publish\" value=\"1\" checked>";
			}

		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['ads_module_show_photo'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes']."&nbsp;";
		
		if ($show_picture == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"show_picture\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'] ;
			print "<input type=\"radio\" name=\"show_picture\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"show_picture\" checked>&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'] ;
			print "<input type=\"radio\" name=\"show_picture\" value=\"0\">";
		}

		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['ads_module_is_public'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes']."&nbsp;";
		
		if ($public == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'] ;
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>&nbsp;";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'] ;
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>" ;
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;
	
	case ads_list :
		
		$query = "SELECT id, name, public FROM $table_ads_cat" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysqli_num_rows($result);
		if ($RecordCount > 0)
		{
			print "<table>";
			while ($ads_list = mysqli_fetch_array($result)) //list all forms
			{
				$photo = "$cmsdir/media/temp/" . $ads_list[0] . ".jpg" ;
				//get the number of entries in the selected guestbook
				$query1 = "SELECT ad_id FROM $table_adtext WHERE ads_id = '".$ads_list[0]."'";
				
				$public = "" ;
				if ($ads_list[2] == 1)
				{
					$public = "(*)";
				}

				$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
				$RecordCount = mysqli_num_rows($result1);

				print "<tr>
					  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"if(confirm('$sas_lang[ads_module_delete_confirm]'))
					  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_ads_page&ads_id=$ads_list[0]';\">
					  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_ads_page&ads_id=$ads_list[0]'\">
					  </td>
					  <td><a href=\"index.php?option=modulemanager&module=$module&modoption=list_entries&ads_id=$ads_list[0]\">$ads_list[1]</a></span>  <span class=\"sas_module_lbl1\"> ($RecordCount)</span> <span class=\"sas_module_lbl2\">$public</span></td>
					  </tr>
					  <tr><td colspan=\"2\">&nbsp;</td></tr>";
			}
		}
		else
		{
			print "<br />" . $sas_lang['empty_list'] . "<p><br />";
		}
		print "</table><span class=\"sas_module_lbl2\">(*) " . $sas_lang['ads_module_is_public'] . "</span>
				<p><p><img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&modoption=add_ads_page\">" . $sas_lang['ads_module_add_page'] . "</a></span>";
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";  

	break;
		
	case list_entries :
		
		$query = "SELECT name FROM $table_ads_cat WHERE id = '".$ads_id."'" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$ads_name = mysqli_result($result, 0, 0);
		
		print "<span class=\"sas_module_subtitle\">" .$ads_name. ":</span><p>";

		$query = "SELECT ad_id, email, ad_text, UNIX_TIMESTAMP(date), name, initial FROM $table_adtext WHERE ads_id = '$ads_id' ORDER BY date DESC";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$count = mysqli_num_rows($result); //number of ads entries
		if ($count != 0)
		{
			while ($ads_list = mysqli_fetch_array($result))
			{
				$ads_message = str_replace("\n", "<br>\n", "$ads_list[2]");
				$date1 = strftime($date_format, $ads_list[3]);
				$photo = "media/temp/" . $ads_list[0] . ".jpg" ;
		
				print "<table width=\"640\" border=\"0\" >
					   <tr><td valign=\"top\">
                       <table width=\"640\" cellpadding=\"2\" cellspacing=\"2\" bgcolor=\"#CECECE\">
					   <tr>
					   <td class=\"sas_row_color_even\" width='15%'><b>" . $sas_lang['ads_module_name'] . "</b></td>
					   <td class=\"sas_row_color_even\">$ads_list[4]<br></td>";
				
				print "</tr><tr>
					   <td class=\"sas_row_color_even\"><b>" . $sas_lang['ads_module_email'] . "</b></td>
					   <td class=\"sas_row_color_even\">$ads_list[1]<br></td>
					   </tr><tr>
					   <td class=\"sas_row_color_even\"><b>" . $sas_lang['date'] . "</b></td>
					   <td class=\"sas_row_color_even\">$date1<br></td>
					   </tr>
					   <tr>
					   <td class=\"sas_row_color_even\" valign=\"top\"><b>" . $sas_lang['ads_module_text'] . "</b></td>
					   <td class=\"sas_row_color_even\">$ads_message<br></td>
					   </tr>
					   <td colspan=\"2\" class=\"sas_row_color_even\"><a href=\"index.php?option=modulemanager&module=$module&modoption=delete_entry&entry_id=$ads_list[0]&ads_id=$ads_id\">
					   <font color=\"blue\"><b>[" . $sas_lang['delete'] . "]</a></font></b><br></td>
                        ";
				
				if($ads_list[5] == 0)
				{
					print "<td class=\"sas_row_color_even\"><a href=index.php?option=modulemanager&module=$module&modoption=publish_post&entry_id=$ads_list[0]&ads_id=$ads_id>
						<font color=\"blue\"><b>[".$sas_lang['ads_module_publish']."]</a></font></span></b></td>";
				}
		
				print "</tr></table></td>";

				if(file_exists($serverpath . "/" . $photo))
				{
					print "<td width=\"300\"><img src=\"$photo\" border=\"0\"></td>";
				}
				print "</tr><tr><td colspan=\"2\"><hr></td></tr></table>";
			}
		}
		else
		{
			print $sas_lang['empty_list'] . "<br />" ;
		}
		print "<br>\n<button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>"; 
	break;
}

include ("interface/footer.inc.php");
?>
