<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* News module : 
* frontpage.php: last changed 21/04/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

load_language($cmsdir . '/', 'sn_news'); //load language file

//news tables definitions
$table_news_articles = $dbprefix . "m_news_articles";
$table_news_category = $dbprefix . "m_news_cat";

$date_format = $sas_config['dateformat'];

//see if we need to do automatic archiving
$query = "SELECT id, number_of_days FROM $table_news_category";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 
	
while ($cat_list = mysqli_fetch_array($result))
{	
	if($cat_list[1] != 0) //if zero no auto archiving
	{
		//we need to move articles older than current date - number_of_days to archive
		mysqli_query($db,"UPDATE $table_news_articles SET archive = 1 WHERE todate < current_date() AND category = '$cat_list[0]'");
	}
}
//create an archive link if there is a page for this in the pages table.
$archive_link = "&nbsp;";

$query1 = "SELECT id, section FROM $table_pages WHERE module = 'sn_news/archive.php'";
$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result1);

if ($RecordCount > 0)
{
	$archive_page_id = mysqli_result($result1, 0, 'id');
	$archive_section_id = mysqli_result($result1, 0, 'section');
	$archive_link = "<input type=\"button\" value=\"" . $sas_lang['news_module_archive'] . "\" onclick=\"javascript:parent.location='index.php?page=$archive_page_id&amp;section=$archive_section_id'\"/>";
			
}
print "<a name=\"top\"></a>";
print "<table width=\"100%\"><tr><td align=\"right\">$archive_link</td></tr>
		<tr><td><span class=\"sas_module_title\">" . $sas_config['news_welcome_text'] . "</span></td></tr></table><br/>\n";
if (IsSet ($_SESSION['site']) == "protected") //are we on protected area
{
	$query = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content FROM $table_news_articles 
			  WHERE archive = 0 AND public = 1 ORDER BY date DESC";
}
else
{
	$query = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content FROM $table_news_articles 
			  WHERE archive = 0 AND public = 0 ORDER BY date DESC";
}
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

//loop through the article contents
while ($article_list = mysqli_fetch_array($result))
{
	print "<table cellspacing=\"5\" cellpadding=\"12\" background=\"$cmsdir/modules/sn_news/blackboard_empty.jpg\" height=\"215\" width=\"320\">
			<tr><td valign=\"top\"><span class=\"sas_module_text\"><font color=\"#FFFFFF\"> $article_list[4]</font></span></td></tr>
			</table><p>&nbsp;</p>\n";
}
print "<a href=\"#top\" class=\"sas_module_link\">top</a>";
?>