<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Sitemap : 
* view_sitemap.php: last changed 20/04/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
?>
<link rel="stylesheet" type="text/css" href="starnet/modules/sn_sitemap/slickmap.css" />
<?php
$query = "SELECT id, name, frontpage, invisible FROM $table_sections 
			WHERE parent = '' AND invisible != 'yes' ORDER BY sort";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

load_language($cmsdir . '/', 'sn_sitemap'); //load language file


if (!empty ($sas_config['sitemap_welcome_text']))
{
	print "<span class=\"sas_module_title\">" . $sas_config['sitemap_welcome_text'] . "</span><br/><br/>\n";
}

$query = "SELECT id, name, frontpage, invisible FROM $table_sections 
			WHERE parent = '' AND invisible != 'yes' ORDER BY sort";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$count = mysqli_num_rows($result) ;

print "<ul id=\"primaryNav\" class=\"col$count\">\n
	<li id=\"home\"><a href=\"index.php\">Homepagina</a></li>\n";

while ($section_list = mysqli_fetch_array($result))
{
	print "<li><a href=\"".$site_url."index.php?section=$section_list[0]\">$section_list[1]</a>\n";
	
	//get the pages without category and the categories in an array.
	$page_cat = page_cat_list($section_list['id']) ;
	if(count($page_cat) > 0)	//does the array has any pages?
	{
		//sort the multi row array
		sortArray($page_cat, sort, SORT_ASC);
		print "\t<ul>\n";
		$i = 0 ;
		foreach ($page_cat['sort'] as $value)
		{
			$page_title = $page_cat['name'][$i] ;
			$id = $page_cat['id'][$i] ;
			$module = $page_cat['module'][$i] ;
			if($id == 0)	//page has category?
			{
				$category = addslashes($page_title);
				//get the first page id for the category which we are processing.
				$query3 = "SELECT id FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort LIMIT 1";
				$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
				$p_id = mysqli_result($result3, 0, 'id');
				
				print "\t<li><a href=\"".$site_url."index.php?section=$section_list[0]&page=$p_id\">$page_title</a>\n";
				//get the sub-pages for the category
				$query2 = "SELECT id, name, module FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort";
				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
				if(mysqli_num_rows($result2) > 0) 
				{
					print "\t\t<ul>\n";
					while ($page_menu = mysqli_fetch_array($result2)) 
					{
						print "\t\t<li><a href=\"".$site_url."index.php?section=$section_list[0]&page=$page_menu[0]\">$page_menu[1]</a></li>\n";
					}
					print "\t\t</ul>\n";
				}
				print "</li>";
			}
			else			//pages without category
			{
				print "\t<li><a href=\"".$site_url."index.php?section=$section_list[0]&page=$id\">$page_title</a></li>\n";
			}
			$i++;
		}
		print "\t</ul>\n";
	}
	
	print "</li>";
}
print "</ul>\n";

?>